View shortcut?

I want to quickly jump between two parts of a drawing so I dont have to zoom out and then in again for every time. The -VIEW-command gets me halfway there.
I can save a view and restore the view when I need to, but its a little slow process as I have to type the -VIEW command, R for Restore and then the name of the saved view, this process is so long that I could have just have zoomed out and in again as before.
Any way to speed up this process?

For context: I have a long row of fire alarm symbols that needs to be placed in different rooms in a building, I want to speed up the process of jumping between this row and the rooms as this has to be done about 1500 times ;)

Comments

  • Just always save your views as View1, View2 etc.

    (defun c:V1 ()(command "VIEW" "R" "View1"))
    make a few and load on start up.
  • If you want to minimize keystrokes, you don't actually need the "V" or the word "View." A saved view can be named "1" and a custom command can also be named "1"

    But you need the non-dialog version of the View command.
    (defun c:1 () (command "-VIEW" "R" "1"))
  • Thank you for good suggestions, I will try it out. I can also split the view into two viewports, but jumping views would be better I think.
  • There is a way to use command VX where the X is the viewport like "1", it uses a reactor and checks the error message looking for the "V", I have this for fillet you type f123 and it will set the fillet radius to 123 and continue normal fillet command, same with circle C100 asks for a point and a circle with rad 100 is drawn. Can have up to 26 options ie A-Z. If you only have a few views then yes defuns 1 2 3 etc.